Bug 217596 - Backspace doesn't work in serial console
Summary: Backspace doesn't work in serial console
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Berrange
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-28 22:02 UTC by David L. Parsley
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-11-07 16:34:25 UTC


Attachments (Terms of Use)
Set backspace mapping (704 bytes, patch)
2006-12-04 17:16 UTC, Daniel Berrange
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0637 normal SHIPPED_LIVE virt-manager enhancement update 2007-10-30 15:47:28 UTC

Description David L. Parsley 2006-11-28 22:02:19 UTC
Description of problem:
When I use virt-manager to open a serial console for a VM, I can't backspace.

Version-Release number of selected component (if applicable):
virt-manager-0.2.5-1.el5

How reproducible:
100% (for me)

Steps to Reproduce:
1. Install RHEL5b2 PV on RHEL5b2 - in my case, x86_64
2. Open virt-manager
3. For the RHEL5b2 machine, go to the 'View' menu, and select serial console
4. Type anything, and then hit 'backspace'
  
Actual results:
nothing happens

Expected results:
backspacing over characters


Additional info:

Comment 1 Bernard Johnson 2006-12-03 04:41:30 UTC
This is the single most annoying bug on RHEL5B2/FC6 right now (for me) - sans
the "we like red" theme of B2 :)

Seriously, this makes the serial console painful to use unless you type very
carefully.

FC6/virt-manager-0.2.6-1.fc6

Comment 2 RHEL Product and Program Management 2006-12-03 15:01:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Daniel Berrange 2006-12-04 17:16:35 UTC
Created attachment 142751 [details]
Set backspace mapping

This patches uses the set_backspace_binding() method on VTE, to set the
backspace method to send  ERASE_ASCII_BACKSPACE. Tested with a FC6 guest OS
shows that this makes backspace work with Linux at least. Windows users
probably won't be using the serial console frequently, so this will do for as a
short term fix to address immediate use case / problem. Long term we need to
add UI to allow backspace mappings to be configured on a per-guest basis.

Comment 5 Bernard Johnson 2006-12-05 00:38:12 UTC
That fixed it for me. (FC6 domX CentOS4 domU)

Comment 10 Daniel Berrange 2007-06-14 17:18:12 UTC
I have built  virt-manager-0.4.0-1.el5 into dist-5E-qu-candidate containing
the fix for backspace key handling

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-1.el5
- Updated to 0.4.0 release (rhbz #243464, 217596, 215020, 214724)



Comment 14 errata-xmlrpc 2007-11-07 16:34:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0637.html



Note You need to log in before you can comment on or make changes to this bug.